New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

The Text Editor for messages does not display Bold, Italic, and Xoops code #57

Open
ecingala opened this Issue Sep 13, 2018 · 5 comments

Comments

Projects
None yet
2 participants
@ecingala
Copy link

ecingala commented Sep 13, 2018

Hi ,

I am using the newBB forum.
I downloaded the version 4.33 Final 2018-03-24 .
I use Xoops 2.5.9

The text Editor does not take into account the BOLD text. All the buttons are impacted in the form.

image

The error in the console is:

Uncaught ReferenceError: xoopsMakeBold is not defined
    at HTMLButtonElement.onclick (edit.php?topic_id=2&post_id=3:255)
onclick @ edit.php?topic_id=2&post_id=3:255

I just need a simple and functionnal text editor.

Thank you very much.

@ecingala

This comment has been minimized.

Copy link

ecingala commented Dec 10, 2018

Hi everyone,

I would like to have an update on this issue, if this is possible.

For more information, the site http://vps555516.ovh.net/xoopstest/modules/newbb/ uses the lastest Xoops Forum (newbb 4.33) on Xoops 2.5.9. It was installed 2 months ago.

I would like a working forum, which is important for my site. My former site was using newbb : http://vps555516.ovh.net/djsite/modules/newbb/ uses the Xoops Forum module. But it stoped working after a Xoops+php migration.

What solution do I have to have a working forum?
What kind of information can I provide to you or any member who want to help?

Thank you for you support.
Kind Regards
Eddy

@mambax7

This comment has been minimized.

Copy link
Contributor

mambax7 commented Dec 12, 2018

I'll look into it...

@ecingala

This comment has been minimized.

Copy link

ecingala commented Dec 12, 2018

Hi Mambax7,
Thank you very much.
Eddy

@mambax7

This comment has been minimized.

Copy link
Contributor

mambax7 commented Dec 14, 2018

What PHP version are you using?
Was this a fresh installation of XOOPS, or did you upgrade your existing version? If yes, did you run "upgrade", i.e. did you copy the "upgrade" folder to your site, and did you run it via "mysite.com/upgrade"?

I just installed XOOPS 2.5.9 and NewBB 4.3.3 Final, and it works without any problems.

@ecingala

This comment has been minimized.

Copy link

ecingala commented Dec 18, 2018

Hi Mambax7,

This was a fresh installation of Xoops.

You spot it right: the PHP version is not the one I thought. It is PHP 5.6.36-0+deb8u1 . The provider has kept an old version (I thought it was new because I took the VPS this year).
I may keep the former Xoops version or upgrade the PHP (and reinstall xoops on new PHP)

Thank you very much
Kind Regards
Eddy

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment